using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATErrors")]
public partial class Aterror
{
    [Key]
    public int ErrorRecId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime ErrorDate { get; set; }

    [StringLength(255)]
    public string ProcessGroup { get; set; } = null!;

    [StringLength(255)]
    public string ProcessName { get; set; } = null!;

    [StringLength(255)]
    public string WorkItemName { get; set; } = null!;

    public int WorkItemId { get; set; }

    public int WorkItemReferenceId { get; set; }

    [StringLength(255)]
    public string Event { get; set; } = null!;

    [StringLength(2000)]
    public string? Message { get; set; }
}
